Package: io.vertx.groovy.ext.web

## [Groovy] Class Locale

- io.vertx.groovy.ext.web.Locale

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Locale (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `country()` Returns the country as reported by the HTTP client.
    `static Locale` | `create()`
    `static Locale` | `create(java.lang.String language)`
    `static Locale` | `create(java.lang.String language, java.lang.String country)`
    `static Locale` | `create(java.lang.String language, java.lang.String country, java.lang.String variant)`
    `java.lang.Object` | `getDelegate()`
    `java.lang.String` | `language()` Returns the language as reported by the HTTP client.
    `java.lang.String` | `variant()` Returns the variant as reported by the HTTP client.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Locale(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.String country()

      Returns the country as reported by the HTTP client.

      Returns:
        variant

    - #### static Locale create()

    - #### static Locale create(java.lang.String language)

    - #### static Locale create(java.lang.String language, java.lang.String country)

    - #### static Locale create(java.lang.String language, java.lang.String country, java.lang.String variant)

    - #### java.lang.Object getDelegate()

    - #### java.lang.String language()

      Returns the language as reported by the HTTP client.

      Returns:
        language

    - #### java.lang.String variant()

      Returns the variant as reported by the HTTP client.

      Returns:
        variant